ServerEvents.tags('block', event => {

  // Add Tags (Blocks)

  priority: 99

  event.add('forge:storage_blocks/cobblestone', 'tnp:compressed_cobblestone')

  event.add('forge:storage_blocks/electrum', 'createaddition:electrum_block')
  event.add('forge:storage_blocks', 'createaddition:electrum_block')

  event.add('forge:ores/silver', 'mekanism:silver_ore')
  event.add('forge:ores', 'mekanism:silver_ore')
  event.add('forge:ores/silver', 'mekanism:deepslate_silver_ore')
  event.add('forge:ores', 'mekanism:deepslate_silver_ore')

  event.add('forge:storage_blocks/silver', 'mekanism:block_silver')
  event.add('forge:storage_blocks', 'mekanism:block_silver')

  event.add('forge:storage_blocks/raw_silver', 'mekanism:block_raw_silver')
  event.add('forge:storage_blocks', 'mekanism:block_raw_silver')

  event.add('forge:storage_blocks/raw_iesnium', 'occultism:raw_iesnium_block')
  event.add('forge:storage_blocks', 'occultism:raw_iesnium_block')

  event.add('forge:ores/uranium', 'mekanism:radrock_uranium_ore')
  event.add('forge:ores', 'mekanism:radrock_uranium_ore')
  event.add('apotheosis:boon_drops', 'mekanism:radrock_uranium_ore')

  event.add('minecraft:saplings', 'alexscaves:pewen_sapling')
  event.add('forge:sapling', 'alexscaves:pewen_sapling')

  event.add('forge:stone', 'tetra:block_geode')

  event.add('diagonalfences:non_diagonal_fences', 'immersiveengineering:treated_fence')

  // Remove Tags (Blocks)
  event.remove('refinedstorage:storage_blocks/fluids/1048576k', 'extrastorage:block_1048576k_fluid')
  event.remove('refinedstorage:storage_blocks/fluids/262144k', 'extrastorage:block_262144k_fluid')
  event.remove('refinedstorage:storage_blocks/fluids/65536k', 'extrastorage:block_65536k_fluid')
  event.remove('refinedstorage:storage_blocks/fluids/16384k', 'extrastorage:block_16384k_fluid')

  event.remove('refinedstorage:storage_blocks/items/16384k', 'extrastorage:block_16384k')
  event.remove('refinedstorage:storage_blocks/items/4096k', 'extrastorage:block_4096k')
  event.remove('refinedstorage:storage_blocks/items/1024k', 'extrastorage:block_1024k')
  event.remove('refinedstorage:storage_blocks/items/256k', 'extrastorage:block_256k')

  event.remove('refinedstorage:storage_blocks/items/256k', 'extrastorage:block_256k')

  event.remove('forge:mushroom_caps/glowshroom', 'extendedmushrooms:glowshroom_cap')
  event.remove('forge:mushroom_caps', 'extendedmushrooms:glowshroom_cap')
  event.remove('forge:mushroom_caps/purple', 'extendedmushrooms:poisonous_mushroom_cap')
  event.remove('forge:mushroom_caps', 'extendedmushrooms:poisonous_mushroom_cap')
  event.remove('forge:mushroom_caps/lime', 'extendedmushrooms:slime_fungus_cap')
  event.remove('forge:mushroom_caps', 'extendedmushrooms:slime_fungus_cap')
  event.remove('forge:mushroom_caps/orange', 'extendedmushrooms:honey_fungus_cap')
  event.remove('forge:mushroom_caps', 'extendedmushrooms:honey_fungus_cap')
  event.remove('forge:mushroom_caps/red', 'minecraft:red_mushroom_block')
  event.remove('forge:mushroom_caps', 'minecraft:red_mushroom_block')
  event.remove('forge:mushroom_caps/brown', 'minecraft:brown_mushroom_block')
  event.remove('forge:mushroom_caps', 'minecraft:brown_mushroom_block')

  event.remove('apotheosis:boon_drops', 'embers:lead_ore')
  event.remove('forge:ores_in_ground/stone', 'embers:lead_ore')

  event.remove('apotheosis:boon_drops', 'eidolon:lead_ore')
  event.remove('forge:ores_in_ground/stone', 'eidolon:lead_ore')

  event.remove('apotheosis:boon_drops', 'eidolon:silver_ore')
  event.remove('forge:ores_in_ground/stone', 'eidolon:silver_ore')

  event.remove('apotheosis:boon_drops', 'embers:silver_ore')
  event.remove('forge:ores_in_ground/stone', 'embers:silver_ore')

  event.remove('forge:ores/redstone', 'regions_unexplored:raw_redstone_block')
  event.remove('forge:ores', 'regions_unexplored:raw_redstone_block')

});